Firmware Version Question

Discussion in 'iPod touch' started by macadoo500, Aug 21, 2010.

  1. macadoo500

    macadoo500 New Member

    Joined:
    Aug 21, 2010
    Messages:
    2
    Likes Received:
    0
    To start off I just received an ipod touch 1g. I downloaded the latest version of itunes and the itouch updated to version 1.1.5. ITunes says that this is the latest version of software but I know that there are much newer versions out (4.1). But I've read that the newest firmware doesn't have support for the 1st gen itouch.

    Should I upgrade the firmware to 2.0+?

    As of now there are hardly any apps on my itouch. There isn't a store icon on it so how should I go about getting apps?
  2. zombie boy99

    zombie boy99 Well-Known Member

    Joined:
    Aug 11, 2010
    Messages:
    7,730
    Likes Received:
    276
    Device:
    iPhone 5S
    Update to the highest firmware you can. I think at about 2.1.2 you get the App Store icon on the iPod.
  3. macadoo500

    macadoo500 New Member

    Joined:
    Aug 21, 2010
    Messages:
    2
    Likes Received:
    0
    I believe I could get all the way to 4.0 but a lot of the features won't work on the 1st gen. So should I just get 2.1.2?
  4. austers

    austers Well-Known Member

    Joined:
    Jan 7, 2010
    Messages:
    3,734
    Likes Received:
    456
    Device:
    3G iPod touch
    3.1.3 is the latest firmware for a 1g iPod Touch.
  5. _JKK_

    _JKK_ Super Moderator Staff Member

    Joined:
    Jun 8, 2009
    Messages:
    9,514
    Likes Received:
    1,366
    Device:
    iPhone 5S
    2.0 gives you the App Store (it isn't just an icon), but it is buggy, etc. Upgrade to the latest firmware version (3.1.3), so you will be able to use as many apps as possible. However, support for your device will continue to fade somewhat, as the hardware simply isn't powerful enough anymore.
  6. zombie boy99

    zombie boy99 Well-Known Member

    Joined:
    Aug 11, 2010
    Messages:
    7,730
    Likes Received:
    276
    Device:
    iPhone 5S

    You can only get as high as 3.1.3 on an IPT 1st Gen.... So update to 3.1.3 and save your $$ for a new IPT 4G coming this next month

    Please Register or Log in to view images

Share This Page